html {
  box-sizing: border-box;
  font-size: 10px;
}

*,
*:before,
*:after {
  box-sizing: inherit;
}

body,
ul,
li {
  margin: 0;
  padding: 0;
}

li {
  list-style: none;
}

p,
h1,
h2,
h3,
h4,
h5,
h6 {
  margin: 0;
}

a {
  text-decoration: none;
}

input {
  border-style: none;
  background: transparent;
  outline: none;
}

button {
  padding: 0;
  background: none;
  border: none;
  outline: none;
}

body {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
  background-image: linear-gradient(60deg, #29323c 0%, #485563 100%);
}

html,
body {
    height: 100%;
}

#page {
  max-width: 70rem;
  margin: 0 auto;
}

/* HEADER */
/* --------------------------------------------------------------------------- */
#header {
  display: flex;
  justify-content: center;
  align-items: center;
}

.header-part {
  height: 100%;
}

#logo {
  width: 256px;
  height: 256px;
  margin-bottom: 50px;
}

#title {
  font-size: 22pt;
  vertical-align: middle;
}

#username {
  vertical-align: middle;
}

/* MENU */
/* --------------------------------------------------------------------------- */
@-webkit-keyframes gradient {
  0% {
    background-position: 0 0;
  }
  100% {
    background-position: 100% 0;
  }
}

@keyframes gradient {
  0% {
    background-position: 0 0;
  }
  100% {
    background-position: 100% 0;
  }
}
.input {
  position: relative;
  display: flex;
  flex-direction: row;
  width: 100%;
  max-width: 400px;
  margin: 0 auto;
  border-radius: 2px;
  padding: 1.4rem 1rem 1.6rem 2rem;
  background: rgb(46, 55, 65);
  box-shadow: 0px 4px 3px rgba(0,0,0,0.4),
                0px 8px 13px rgba(0,0,0,0.1),
                0px 18px 23px rgba(0,0,0,0.1);
}
.input:after {
  content: "";
  position: absolute;
  left: 0px;
  right: 0px;
  bottom: 0px;
  z-index: 999;
  height: 2px;
  border-bottom-left-radius: 2px;
  border-bottom-right-radius: 2px;
  background-position: 0% 0%;
  background-image: linear-gradient(-225deg, #A445B2 0%, #D41872 26%, #FF0066 50%, #D41872 78%, #A445B2 100%);
  background-size: 500% auto;
  -webkit-animation: gradient 3s linear infinite;
          animation: gradient 3s linear infinite;
}

.input input {
  flex-grow: 1;
  color: #bfd2ff;
  font-size: 1.8rem;
  line-height: 2.4rem;
  vertical-align: middle;
}
.input input::-webkit-input-placeholder {
  color: #7881a1;
}

.input button {
  color: #7881a1;
  font-size: 2.4rem;
  line-height: 2.4rem;
  vertical-align: middle;
  transition: color 0.25s;
}
.input button:hover {
  color: #bfd2ff;
}

.input .icon {
  width: 30px;
  height: 30px;
  fill: #7881a1;
}

.input .icon:hover {
  fill: #bfd2ff;
}

/* CATALOG */
/* --------------------------------------------------------------------------- */
#content {
  display: flex;
  flex-direction: column;
}

/* TABLE */
/* --------------------------------------------------------------------------- */
#board {
  position: relative;
}

table {
  width: 90vw;
  height: 90vw;
  max-width: 512px;
  max-height: 512px;
  border-spacing: 0;
  border-collapse: collapse;
  box-shadow: 0px 4px 3px rgba(0,0,0,0.4),
              0px 8px 13px rgba(0,0,0,0.1),
              0px 18px 23px rgba(0,0,0,0.1);
}

tr {
  height: 12.5%;
}

td {
  width: 12.5%;
  position: relative;
}

tr:nth-child(odd) td:nth-child(even) {
  background: rgb(46, 55, 65);
}
tr:nth-child(even) td:nth-child(odd) {
  background: rgb(46, 55, 65);
}

tr:nth-child(odd) td:nth-child(odd) {
  background: rgb(88, 98, 110);
}
tr:nth-child(even) td:nth-child(even) {
  background: rgb(88, 98, 110);
}

td:after {
  content: '';
  display: block;
  margin-top: 100%;
}

td .content {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background: gold;
}

.player {
  color: #6b7786;
  font-size: 2.4rem;
  line-height: 3.4rem;
  margin: 40px 0;
}

table:before {
  visibility: hidden;
  content: "";
  position: absolute;
  left: 0px;
  right: 0px;
  z-index: 999;
  height: 2px;
  border-top-left-radius: 2px;
  border-top-right-radius: 2px;
  background-position: 0% 0%;
  background-image: linear-gradient(-225deg, #A445B2 0%, #D41872 26%, #FF0066 50%, #D41872 78%, #A445B2 100%);
  background-size: 500% auto;
  -webkit-animation: gradient 3s linear infinite;
          animation: gradient 3s linear infinite;
}

table:after {
  content: "";
  position: absolute;
  left: 0px;
  right: 0px;
  z-index: 999;
  height: 2px;
  border-bottom-left-radius: 2px;
  border-bottom-right-radius: 2px;
  background-position: 0% 0%;
  background-image: linear-gradient(-225deg, #A445B2 0%, #D41872 26%, #FF0066 50%, #D41872 78%, #A445B2 100%);
  background-size: 500% auto;
  -webkit-animation: gradient 3s linear infinite;
          animation: gradient 3s linear infinite;
}

/* PIECES */
/* --------------------------------------------------------------------------- */
.piece {
  position: absolute;
  width: 12.5%;
  height: 12.5%;
  z-index: 555;
  visibility: hidden;
  padding: 6px;
}

/* OTHER */
/* --------------------------------------------------------------------------- */
.centered {
  position: absolute;
  top: 50%;
  left: 50%;
  margin-right: -50%;
  transform: translate(-50%, -50%);
}

.noselect {
  -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
     -khtml-user-select: none; /* Konqueror HTML */
       -moz-user-select: none; /* Firefox */
        -ms-user-select: none; /* Internet Explorer/Edge */
            user-select: none; /* Non-prefixed version, currently
                                  supported by Chrome and Opera */
}
